summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-12 17:45:23 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:45:23 +0200
commit843c056e49ed397b1a390da1a0addd3ace98c241 (patch)
tree05e73e1e52a38ab39fbbd926921b4caf191ca2af
parentcbdbea4ccde643e787fa352a53b8cc3e83291863 (diff)
downloadslackbuilds-843c056e49ed397b1a390da1a0addd3ace98c241.tar.gz
slackbuilds-843c056e49ed397b1a390da1a0addd3ace98c241.tar.xz
system/hardinfo: Updated for version 0.5.1
-rw-r--r--system/hardinfo/README9
-rw-r--r--system/hardinfo/doinst.sh4
-rw-r--r--system/hardinfo/hardinfo.SlackBuild23
-rw-r--r--system/hardinfo/hardinfo.info8
-rw-r--r--system/hardinfo/slack-desc16
5 files changed, 32 insertions, 28 deletions
diff --git a/system/hardinfo/README b/system/hardinfo/README
index 36a23861bf..6a4bf53cbe 100644
--- a/system/hardinfo/README
+++ b/system/hardinfo/README
@@ -1,4 +1,5 @@
-HardInfo can gather information about your system's
-hardware and operating system, perform benchmarks, and
-generate printable reports either in HTML or in plain
-text formats.
+HardInfo can gather information about your system's hardware and
+operating system, perform benchmarks, and generate printable reports
+either in HTML or in plain text formats.
+
+libsoup (available at SBo) is an optional build time dependency.
diff --git a/system/hardinfo/doinst.sh b/system/hardinfo/doinst.sh
index 5dc6bb58c0..140e332222 100644
--- a/system/hardinfo/doinst.sh
+++ b/system/hardinfo/doinst.sh
@@ -1,3 +1,3 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/system/hardinfo/hardinfo.SlackBuild b/system/hardinfo/hardinfo.SlackBuild
index 812fe8b4b6..b98131c783 100644
--- a/system/hardinfo/hardinfo.SlackBuild
+++ b/system/hardinfo/hardinfo.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for HardInfo
-# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2008, 2009 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=hardinfo
-VERSION=0.4.2.3
+VERSION=${VERSION:-0.5.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,15 +37,16 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -57,25 +58,27 @@ find . \
# are available (everything ends up in the right place though).
./configure || exit 1
-# Set the compiler flags here
+# Set the compiler flags here:
ARCHOPTS=$SLKCFLAGS make -e || exit 1
make install DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
find $PKG -type d -depth -exec rmdir {} \; 2>/dev/null
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/hardinfo/hardinfo.info b/system/hardinfo/hardinfo.info
index f380429e62..d5b970e900 100644
--- a/system/hardinfo/hardinfo.info
+++ b/system/hardinfo/hardinfo.info
@@ -1,8 +1,8 @@
PRGNAM="hardinfo"
-VERSION="0.4.2.3"
+VERSION="0.5.1"
HOMEPAGE="http://hardinfo.berlios.de/"
-DOWNLOAD="http://download.berlios.de/hardinfo/hardinfo-0.4.2.3.tar.bz2"
-MD5SUM="c2fa9098193ed730de581d43b30d70d4"
+DOWNLOAD="http://download.berlios.de/hardinfo/hardinfo-0.5.1.tar.bz2"
+MD5SUM="6fb38992e140f2fab16518ae1f38e188"
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="David Somero"
+APPROVED="dsomero"
diff --git a/system/hardinfo/slack-desc b/system/hardinfo/slack-desc
index 519967dcf6..ee31dbd655 100644
--- a/system/hardinfo/slack-desc
+++ b/system/hardinfo/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
hardinfo: HardInfo (System Profiler and Benchmark)
hardinfo:
-hardinfo: HardInfo can gather information about your system's
-hardinfo: hardware and operating system, perform benchmarks, and
-hardinfo: generate printable reports either in HTML or in plain
-hardinfo: text formats.
+hardinfo: HardInfo can gather information about your system's hardware and
+hardinfo: operating system, perform benchmarks, and generate printable reports
+hardinfo: either in HTML or in plain text formats.
hardinfo:
hardinfo: Homepage: http://hardinfo.berlios.de/
hardinfo:
hardinfo:
hardinfo:
+hardinfo: